package com.miaxis.vip.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 考场会员对象 vip_user_exam
 *
 * @author miaxis
 * @date 2023-03-20
 */
@Data
@TableName("vip_user_exam")
@ApiModel(value = "VipUserExam", description = "考场会员对象 vip_user_exam")
public class VipUserExam extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    @TableId(value = "id")
    @ApiModelProperty(value = "id")
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 联合ID */
    @Excel(name = "联合ID")
    @TableField("union_id")
    @ApiModelProperty(value = "联合ID")
    private String unionId;

    /** 昵称 */
    @Excel(name = "昵称")
    @TableField("nick_name")
    @ApiModelProperty(value = "昵称")
    private String nickName;

    /** 考场ID */
    @Excel(name = "考场ID")
    @TableField("exam_id")
    @ApiModelProperty(value = "考场ID")
    private String examId;

    /** 考场名称 */
    @Excel(name = "考场名称")
    @TableField("exam_name")
    @ApiModelProperty(value = "考场名称")
    private String examName;

    /** 到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "到期时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("expiration_time")
    @ApiModelProperty(value = "到期时间")
    private Date expirationTime;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setUserId(Long userId){
        this.userId = userId;
    }

    public Long getUserId(){
        return userId;
    }
    public void setUnionId(String unionId){
        this.unionId = unionId;
    }

    public String getUnionId(){
        return unionId;
    }
    public void setNickName(String nickName){
        this.nickName = nickName;
    }

    public String getNickName(){
        return nickName;
    }
    public void setExamId(String examId){
        this.examId = examId;
    }

    public String getExamId(){
        return examId;
    }
    public void setExamName(String examName){
        this.examName = examName;
    }

    public String getExamName(){
        return examName;
    }
    public void setExpirationTime(Date expirationTime){
        this.expirationTime = expirationTime;
    }

    public Date getExpirationTime(){
        return expirationTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("unionId", getUnionId())
            .append("nickName", getNickName())
            .append("examId", getExamId())
            .append("examName", getExamName())
            .append("expirationTime", getExpirationTime())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
